curl --request DELETE \
--url https://api.komerza.com/stores/{storeId}/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.komerza.com/stores/{storeId}/products"
payload = { "productIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({productIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.komerza.com/stores/{storeId}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Bulk Delete Products
Deletes multiple products in one request. This will delete all variants, files, images, and reviews
associated with each product. Products that don’t exist are silently skipped.
Requires the stores.products.delete permission.
Authorizations
Your API key goes here
Path Parameters
The ID of the store.
Body
The BulkDeleteProductForm with product IDs to delete.
Form for bulk deleting products from a store
The list of product IDs to delete
1Response
The object was successfully deleted.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents the data associated with a response.